module("luci.controller.gpioled",package.seeall)
function index()
entry({"admin","system","gpioled"},alias("admin","system","gpioled","settings"),_("GPIO LED Configuration"),60).dependent=true
entry({"admin","system","gpioled","settings"},cbi("gpioled/settings"),_("Settings"),1).leaf=true
entry({"admin","system","gpioled","logs"},cbi("gpioled/logs"),_("Logs"),2).leaf=true
entry({"admin","system","gpioled","id_status"},call("id_status"))
entry({"admin","system","gpioled","ad_status"},call("ad_status"))
entry({"admin","system","gpioled","ad_mon"},call("ad_mon"))
entry({"admin","system","gpioled","pwr_status"},call("pwr_status"))
entry({"admin","system","gpioled","get_log"},call("get_log"))
end
function id_status()
local e={}
e.running=luci.sys.call("pgrep -f /usr/share/gpioled/id >/dev/null")==0
luci.http.prepare_content("application/json")
luci.http.write_json(e)
end
function ad_status()
local e={}
e.running=luci.sys.call("pgrep -f /usr/share/gpioled/ad >/dev/null")==0
luci.http.prepare_content("application/json")
luci.http.write_json(e)
end
function ad_mon()
local t={}
local e=luci.sys.exec("uci get gpioled.service.ad_app")
e=e:trim()
local e=luci.sys.exec("uci get "..e)
t.running=e:trim()
luci.http.prepare_content("application/json")
luci.http.write_json(t)
end
function pwr_status()
local e={}
local t=luci.sys.exec("uci get gpioled.service.pwr_mode")
e.running=t:trim()
luci.http.prepare_content("application/json")
luci.http.write_json(e)
end
function get_log()
local e=require("nixio.fs")
local t="/tmp/gpioled.log"
local e=e.readfile(t)or"Log file not found."
luci.http.prepare_content("text/plain")
luci.http.write(e)
end
