local a,t,e
a=Map("gpioled")
a.title=translate("GPIO LED Settings")
a.description=translate("Customize device GPIO LED behavior.<br><br>"..
"1. Internet Detector: Functions for detect whether internet is running or not.<br>"..
"2. Application Detector: Functions for detect whether desired application is running or not with a notification using IR Blaster LED.<br>"..
"3. Power LED: Function for set Power LED blink mode.<br>"..
[[<br/><br/><a href="https://github.com/animegasan" target="_blank">Powered by animegasan</a>]])
t=a:section(TypedSection,"global",translate("Global Setting"))
t.addremove=false
t.anonymous=true
e=t:option(DummyValue,"status",translate("Internet Detector"))
e.template="gpioled/id-status"
e.value=translate("Collecting data...")
e=t:option(DummyValue,"status",translate("Application Detector"))
e.template="gpioled/ad-status"
e.value=translate("Collecting data...")
e=t:option(DummyValue,"status",translate("Power LED Blink Mode"))
e.template="gpioled/pwr-status"
e.value=translate("Collecting data...")
e=t:option(MultiValue,"enable",translate("Enable Service"))
e:value("id",translate("Internet Detector"))
e:value("ad",translate("Application Detector"))
e.widget="checkbox"
e.default=nil
e=t:option(ListValue,"device",translate("Device"))
e:value("HG680PR1",translate("HG680P RAM 1GB"))
e:value("HG680PR2",translate("HG680P RAM 2GB"))
e.default=nil
t=a:section(TypedSection,"service",translate("Service Setting"))
t.addremove=false
t.anonymous=true
t:tab("id",translate("Internet Detector"))
e=t:taboption("id",ListValue,"id_il",translate("Internet On"),
translate("LED color when internet is running"))
e:value("green",translate("Green"))
e:value("red",translate("Red"))
e:value("yellow",translate("Yellow"))
e.default="green"
e=t:taboption("id",ListValue,"id_io",translate("Internet Off"),
translate("LED color when internet is not running"))
e:value("green",translate("Green"))
e:value("red",translate("Red"))
e:value("yellow",translate("Yellow"))
e.default="red"
e=t:taboption("id",ListValue,"id_mode",translate("Blink Mode"))
e:value("0.1",translate("Fast"))
e:value("1",translate("Normal"))
e:value("2",translate("Slow"))
e:value("0",translate("Static"))
e.default="1"
t:tab("ad",translate("Application Detector"))
e=t:taboption("ad",ListValue,"ad_app",translate("Application"),
translate("Application want to monitoring"))
e:value("cloudflared.config.enabled",translate("Cloudflare"))
e:value("openclash.config.enabled",translate("OpenClash"))
e:value("zerotier.sample_config.enabled",translate("ZeroTier"))
e.default=nil
e=t:taboption("ad",DummyValue,"status",translate("Status"),translate("Status of application being monitored"))
e.template="gpioled/ad-mon"
e.value=translate("Collecting data...")
e=t:taboption("ad",ListValue,"ad_mode",translate("Blink Mode"))
e:value("0.1",translate("Fast"))
e:value("1",translate("Normal"))
e:value("2",translate("Slow"))
e:value("0",translate("Static"))
e.default="1"
t:tab("pwr",translate("Power LED"))
e=t:taboption("pwr",ListValue,"pwr_color",translate("LED Color"))
e:value("green",translate("Green"))
e:value("red",translate("Red"))
e:value("yellow",translate("Yellow"))
e.default="green"
e=t:taboption("pwr",ListValue,"pwr_mode",translate("Blink Mode"))
e:value("0.1",translate("Fast"))
e:value("1",translate("Normal"))
e:value("2",translate("Slow"))
e:value("0",translate("Static"))
e.default="0"
a.apply_on_parse=true
a.on_after_apply=function(e)
luci.sys.exec("/etc/init.d/gpioled restart")
end
return a
